package type;
public final class ParseError
	extends org.omg.CORBA.UserException
{
	public java.lang.String reason;
	public ParseError()
	{
		super(type.ParseErrorHelper.id());
	}
	public ParseError(java.lang.String _reason,java.lang.String reason)
	{
		super(type.ParseErrorHelper.id()+""+_reason );
		this.reason = reason;
	}
	public ParseError(java.lang.String reason)
	{
		this.reason = reason;
	}
}
